Subject: Re: C++ Compilers : Comparative Performance Testsuite
From: "Gerrit P. Haase" <[email-masked]>
To: "Alex Vinokur" <[email-masked]>
Cc: [email-masked]
Date: Fri, 31 Oct 2003 17:22:36 +0100

Alex wrote:

> "Gerrit P. Haase" <[email-masked]> wrote in message
> news:[email-masked]...
>> Alex wrote:
>>
>> > An algorithm which computes very long Fibonacci numbers
>> >
>> >
>> http://groups.google.com/groups?selm=bnni5p%2412i47o%241%40ID-79865.news.uni-berlin.de
>> >   was used as a performance testsuite
>> >   to compare speed of the code produced by various compilers.
>>
>> >
>> |------------------------------------------------------------------------|
>> > |               Digital Mars C/C++ Compiler, STLport 4.5.3
>> >
>> |------------------------------------------------------------------------|
>> > | Version 8.35n        | -   | 0.20 : 0.16 | 0.84 : 0.80 |  3.82 :  3.74 |
>> >
>> |========================================================================|
>>
>>
>> Do you think to use STLport with the Cygwin/MinGW compiler would
>> increase perfomance?
>>
> [snip]

> What is the way to test that?
> In other words, is there STLporting with the Cygwin/MinGW compiler?

I posted a Makefile to build a Cygwin version of STLport with DLL's and
static archives:  http://www.cygwin.com/ml/cygwin/2003-06/msg00790.html

If it shows up that using STLport instead of libstdc++ templates
increases the speed of the code running, maybe someone volunteers to
maintain an STLport package for Cygwin?

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/